Skip to content
SynupAPI
Get an API key
GETapi.synup.com/api/v4/locations/{locationId}/bing-analytics

Get Bing Analytics

Fetch profile analytics for Bing data for a specific location

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Path

NameTypeRequiredDescription
locationIdstringrequiredLocation ID

Query

NameTypeRequiredDescription
fromDatestringoptionalStart date of date range filter (YYYY-MM-DD)
toDatestringoptionalEnd date of date range filter (YYYY-MM-DD)

Request

Request
curl -X GET 'https://api.synup.com/api/v4/locations/:locationId/bing-analytics?fromDate=&toDate=' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'

Responses

StatusDescription
200Successful response
401Unauthorized
404Location not found
Example response (generated from the schema)
{
  "data": {
    "bingInsights": {
      "views": [
        {
          "startTime": "2018-12-17T00:00:00+00:00",
          "value": 73
        }
      ]
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.bingInsightsobjectoptional
data.bingInsights.viewsarray of objectoptionalThe number of views the Bing profile has received
data.bingInsights.views[].startTimestringoptionalStart time of the analytics period
data.bingInsights.views[].valueintegeroptionalNumber of views for the period